var MinigameFly = function() {
	var container;
	var callback;
	var difficulty;
	var up;
	var down;
	var side;
	var clicks;
	var clicksTarget;
	var defTimeout = [5000, 5000, 7000];
	var defTarget = [10, 8, 6];
	var init = function(_container, _callback, _difficulty) {
		container = _container;
		callback = _callback;
		difficulty = _difficulty;
		
		up = new Image();
		up.src = 'pic/madar1.gif';
		down = new Image();
		down.src = 'pic/madar2.gif';
		clicks = -1;
		
		container.html('<table width="550" cols="3" border="0" cellspacing="0" cellpadding="0" align="center">' +
			'<tr>'+
			'<td width="100"><img src="pic/madar1.gif" onClick="MinigameFly.hit(0)" /></td>' +
			'<td width="350"><img src="pic/madar3.gif" onClick="MinigameFly.start()" /></td>' +
			'<td width="100"><img src="pic/madar2.gif" onClick="MinigameFly.hit(1)" /></td>' +
			'</tr>' +
			'<tr>' +
			'<td colspan="3" align="center"><img src="pic/madar1.gif" id="birdman" /></td>' +
			'</tr>' +
			'</table>');
	};
	var start = function() {
		if (clicks != -1) return;
		//console.log('start');
		clicks = 0;
		side = 0;
		timeout = defTimeout[difficulty];
		clicksTarget = defTarget[difficulty];
		setTimeout(gameOver, timeout);
		$('#birdman').attr('src', up.src);
	};
	var hit = function(_side) {
		if (clicks == -1) return;
		if (_side == side) return;
		side = _side;
		clicks++;
		$('#birdman').attr('src', (side == 0 ? up.src : down.src));
	};
	var gameOver = function() {
		if (clicks >= clicksTarget) {
			callback('PAGE', 'xx11');
		} else {
			callback('MESSAGE', 'Nem sikerült legyőznöd a madárembert. De ne add fel, próbáld újra!');
		}
		clicks = -1;
	};
	var pub = {
		init: init,
		start: start,
		hit: hit
	};
	return pub;
} ();



var MinigameSnow = function() {
	var container;
	var callback;
	var first;
	var photo = [];
	var photoNR = [];
	var photoDef = [2,15,6,8,3,1,13,10,11,14,7,12,5,9,0,4];
	var init = function(_container, _callback, _difficulty) {
		container = _container;
		callback = _callback;
		first = -1;
		var t = '<table width="400" cols="4" border="0" cellspacing="0" cellpadding="0" align="center">';
		for (let i = 0; i < 16; i++) {
			photo[i] = new Image();
			photo[i].src = 'pic/f' + (i + 1) + '.gif';
			photoNR[i] = photoDef[i];
			if ((i % 4) == 0) t += '<tr>';
			t += '<td width="100"><img src="pic/f' + (photoDef[i] + 1) + '.gif" id="sm' + i + '" onclick="MinigameSnow.hit(' + i + ')" /></td>';
			if ((i % 4) == 3) t += '</tr>';
		}
		t += '</table>';
		container.html(t);
	}
	var hit = function(n) {
		if (first == -1) {
			first = n;
		} else {
			$('#sm' + first).attr('src', photo[photoNR[n]].src);
			$('#sm' + n).attr('src', photo[photoNR[first]].src);
			var temp = photoNR[n];
			photoNR[n] = photoNR[first];
			photoNR[first] = temp;
			temp = 1;
			for (var i = 0; i < 16; i++) {
				if (photoNR[i] != i) temp = 0;
			}
			if (temp == 1) {
				callback('PAGE', 'xx37');
			}
			first = -1;
		}
	}
	var pub = {
		init: init,
		hit: hit
	};
	return pub;
} ();